Pular para o conteúdo principal
GET
/
api
/
v1
/
agents
/
{agent_id}
/
versions
Python (SDK)
from meetkai_mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.agent_versions.list_agent_versions(agent_id="<id>", limit=20, order="desc")

    # Handle response
    print(res)
{
  "object": "list",
  "data": [
    {
      "object": "agent.version",
      "id": "<string>",
      "agent_id": "<string>",
      "version": 2,
      "is_current": true,
      "restored_from_version": 2,
      "name": "<string>",
      "description": "<string>",
      "model": "functionary-pt",
      "instructions": "<string>",
      "tools": [
        {
          "user_location": {
            "type": "approximate",
            "city": "<string>",
            "country": "<string>",
            "region": "<string>",
            "timezone": "<string>"
          },
          "filters": {
            "allowed_domains": [
              "<string>"
            ]
          }
        }
      ],
      "tool_choice": "<string>",
      "parallel_tool_calls": true,
      "max_tool_calls": 123,
      "text": {
        "format": {}
      },
      "reasoning": {},
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "first_id": "<string>",
  "last_id": "<string>",
  "has_more": true
}

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parâmetros de caminho

agent_id
string
obrigatório

Parâmetros de consulta

limit
integer
padrão:20
Intervalo obrigatório: 1 <= x <= 100
order
enum<string>
padrão:desc
Opções disponíveis:
asc,
desc

Resposta

Uma lista de versões do agente.

object
enum<string>
obrigatório
Opções disponíveis:
list
data
object[]
obrigatório
first_id
string | null
obrigatório
last_id
string | null
obrigatório
has_more
boolean
obrigatório